/* ===============================
   SPONSORSHIP PLANS – DESKTOP
================================ */

.sponsorship-plans {
	padding: 50px 0;
	background: #fff;
}

.plans-grid {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 0;
	align-items: flex-start;
}

.plan-card {
	text-align: center;
	display: flex;
	flex-direction: column;
}

.plan-title {
	text-transform: uppercase;
	margin-bottom: 12px;
	font-size: 28px;
	color: var(--accent-color);
	font-weight: 700;
	text-align: center;
	font-family: "IBM Plex Sans Hebrew";
}

.plan-box {
	border: 1px solid var(--main-color);
	padding: 32px 20px;
	min-height: 520px;
	flex-direction: column;
	flex-grow: 1;
	display: flex;
	justify-content: space-between;

}

.plan-features, .plan-features p {
	font-size: 24px;
	letter-spacing: 1px;
	line-height: 26px;
	color: var(--main-color);
	font-weight: 400;
	text-align: center;
}

.plan-features p {
	margin-bottom: 22px;
}

.plan-price {
	font-size: 28px;
	line-height: 49px;
	color: #112d94;
	font-weight: 400;
	font-family: "IBM Plex Sans Hebrew";
	text-align: center;
	padding: 10px 0;
	border-top: 1px solid #112d94;
	border-bottom: 1px solid #112d94;
	display: inline-block;
	width: 55%;
	margin: 24px auto;
}

.plan-price--mobile {
	display: none;
}

@media screen and (min-width: 1024px) {
	.plan-box {
		border-right: 0;
	}

	.plan-card:last-of-type .plan-box {
		border-right: 1px solid var(--main-color);
	}

}

/* ===============================
   MOBILE / TABLET
================================ */

@media (max-width: 1024px) {
	.sponsorship-plans {
		padding: 40px 0;
		overflow: hidden;
	}

	.plans-grid {
		display: flex;
		flex-direction: column;
		gap: 25px;
		width: 100%;
	}

	.plan-card {
		width: 100%;
	}

	.plan-title {
		font-size: 18px;
	}

	.plan-box {
		flex: 1;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: space-between;
		width: 100%;
		padding: 0;
		min-height: auto !important;
	}

	.plan-features, .plan-features p {
		font-size: 18px;
		line-height: 1.4;
		text-align: center;
		margin-bottom: 10px;
		margin-top: 10px;
	}

	.plan-price--mobile {
		display: block;
		width: 100%;
		margin-top: auto !important;
		opacity: 1;
	}

	.plan-price--desktop {
		display: none;
	}

	.plan-price--mobile {
		display: block;
		margin: auto 0 0 !important;
		background: var(--main-color);
		color: #fff;
		padding: 3px 10px;
		font-size: 18px;
		line-height: 26px;
		width: 100%;
	}

	html[lang="he-IL"] .plan-box {
		align-items: end;
	}
}

